package com.kiisoo.ic.webappmy.service;

import com.kiisoo.ic.system.enums.AccountEnum;
import com.kiisoo.ic.system.mapper.PrivilageAccountDOMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 *  小程序-我的功能请求service
 * Created by hc on 2020/4/26
 */
@Service
public class WebAppService {

    @Autowired
    private PrivilageAccountDOMapper privilageAccountDOMapper;

    public void unbindAccount(long userId) {
        Map<String,Object> params = new HashMap<>();
        params.put("user_id",userId);
        params.put("type", AccountEnum.ACCOUNT_TYPE_QYWX.getType());
        privilageAccountDOMapper.deleteByMap(params);
    }
}
